﻿using System;

using Android.App;
using Android.Content;
using Android.Widget;

namespace WSTests.Droid
{

    [BroadcastReceiver(Enabled = true)]
    public class BootComplete : BroadcastReceiver
    {
        public override void OnReceive(Context context, Intent intent)
        {
            try
            {

                if (intent.Action.Equals(Intent.ActionBootCompleted))
                {
                    Toast.MakeText(context, "Received intent!", ToastLength.Long).Show();
                    Intent i = new Intent(context, typeof(SimpleService));
                    i.AddFlags(ActivityFlags.NewTask);
                    context.StartActivity(i);
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

    }

}