﻿
using Android.App;
using Android.Content.PM;
using Android.OS;
using Android.Content;

namespace WSTests.Droid
{
    [Activity(Label = "WSTests", Icon = "@drawable/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);
            LoadApplication(new App());
            StartServices();
        }

        void StartServices()
        {
            var intent = new Intent(this, typeof(SimpleService));

            StartService(intent);

        }

    }
}

